Bug 167227 - update games/xgalaga
Summary: update games/xgalaga
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-23 16:10 UTC by TsurutaniNaoki
Modified: 2012-05-13 16:50 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (7.47 KB, patch)
2012-04-23 16:10 UTC, TsurutaniNaoki
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description TsurutaniNaoki 2012-04-23 16:10:08 UTC
	xgalaga-2.1.1.0 is available.
Comment 1 Guido Falsi freebsd_committer 2012-04-23 19:01:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 TsurutaniNaoki 2012-05-01 15:16:01 UTC
Oops!  This program cannot be built on FreeBSD/amd64.
Here is a patch:

% cat files/patch-configure
--- config.sub.orig     2008-03-06 06:58:16.000000000 +0900
+++ config.sub  2012-05-01 17:02:52.000000000 +0900
@@ -197,6 +197,8 @@
 		basic_machine=a29k-none
 		os=-bsd
 		;;
+	amd64*)
+		;;
 	amdahl)
 		basic_machine=580-amdahl
 		os=-sysv
Comment 3 Guido Falsi freebsd_committer 2012-05-13 16:41:29 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 4 dfilter service freebsd_committer 2012-05-13 16:41:31 UTC
madpilot    2012-05-13 15:41:23 UTC

  FreeBSD ports repository

  Modified files:
    games/xgalaga        Makefile distinfo pkg-plist 
    games/xgalaga/files  patch-aa patch-ac patch-ae 
  Added files:
    games/xgalaga/files  patch-config.sub patch-title.c 
  Removed files:
    games/xgalaga/files  patch-data.h patch-libsprite__data.h 
                         patch-score.c patch-titile.c 
  Log:
  Update to 2.1.1.0.
  
  PR:             ports/167227
  Approved by:    crees (mentor)
  
  Revision  Changes    Path
  1.31      +7 -4      ports/games/xgalaga/Makefile
  1.9       +2 -2      ports/games/xgalaga/distinfo
  1.8       +15 -13    ports/games/xgalaga/files/patch-aa
  1.2       +9 -9      ports/games/xgalaga/files/patch-ac
  1.3       +4 -12     ports/games/xgalaga/files/patch-ae
  1.1       +11 -0     ports/games/xgalaga/files/patch-config.sub (new)
  1.2       +0 -8      ports/games/xgalaga/files/patch-data.h (dead)
  1.2       +0 -10     ports/games/xgalaga/files/patch-libsprite__data.h (dead)
  1.2       +0 -10     ports/games/xgalaga/files/patch-score.c (dead)
  1.2       +0 -10     ports/games/xgalaga/files/patch-titile.c (dead)
  1.1       +10 -0     ports/games/xgalaga/files/patch-title.c (new)
  1.5       +2 -1      ports/games/xgalaga/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"